#include <stdio.h>
#include <stdlib.h>

#include "papyrus_data.h"

int papyrus_binding_init (papyrus_database_info *info)
{
	int i;

	if (!info)
		return -1;

	if (strcmp (info->binding, "postgres") != 0)
		return -1;

	printf ("postgres library started: %s, %s", info->binding, info->args);
	
	info->uninit = NULL;

	info->query = NULL;
	info->clear = NULL;

	info->get = NULL;
	info->set = NULL;

	for (i = 0; i < PAPYRUS_DATABASE_NUSER; i++)
		info->user_data[i] = NULL;
	
	return 0;
}