#include <libxml/xmlmemory.h>
#include <libxml/parser.h>

#include "xml_funcs.h"

char *attr_has_property (xmlAttr *attr, char *name)
	{
	for (; attr != NULL; attr = attr->next)
		if (strcmp (attr->name, name) == 0)
			return attr->val->content;

	return NULL;
	}

char *node_has_attribute (xmlNode *node, char *attribute)
	{
	if (!node)
		return NULL;
	
	return attr_has_property (node->properties, attribute);
	}
	