#ifndef LAYOUT_RENDER_H
#define LAYOUT_RENDER_H

typedef struct render_item render_item;

#include "xml_layout.h"
#include "papyrus_data.h"

typedef enum
	{
	RENDER_string
	} render_type;

struct render_item
	{
	render_type type;
	
	layout_item *layout;
	render_item *parent;
	
	char *data;
	
	double rel_x;
	double rel_y;	
	double x;
	double y;
	double width;
	double height;
	};

GList *layout_to_render (papyrus_database_info *db_info, GList *layouts);
	
#endif